コンテンツへスキップ

Sam 3 · 3D Objects

統合

モデルID sam-3/3d-objects
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sam-3/3d-objects?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: ≈$0.02 20 APIクレジット このページで実行

APIキーを取得
Meta 画像から3D #3d#object

テキスト、ポイント、ボックスのプロンプトまたはマスクで選択した画像内のオブジェクトを、スプラット出力付きで3D再構築

Meta · 3D

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

デフォルト car

マスクがない場合に自動セグメンテーションで使用するテキスト。'chair' や 'lamp' など。

•必須 image_url
ファイルをドロップ、または

3D再構成用の画像URL。

詳細設定 mask_urls · pointmap_url · detection_threshold · seed · export_textured_glb · point_prompts · box_prompts
ファイルをドロップ、または

オブジェクトごとの任意のマスクURLリスト。マスクがない場合、プロンプト、point_prompts、またはbox_promptsが指定されていれば自動セグメンテーションで使用されます。マスクもセグメンテーションプロンプトも指定されない場合は画像全体が使用されます。

NPYまたはNPZ形式の外部pointmapまたは深度データを指定して、3D再構成の深度推定を改善する任意のURL。

省略時はモデルのデフォルトが使用される検出信頼度しきい値。値の範囲は0.1~1.0で、値を下げると精度と引き換えに検出数が増えます。

再現可能なランダム生成に使用するシード。

デフォルト []

マスクがない場合に自動セグメンテーションで使用するポイントベースのプロンプト。

デフォルト []

自動セグメンテーションによる3D再構成で個別のオブジェクトマスクを生成するボックスプロンプト。マスクが指定されていない場合のみ使用されます。複数のボックスを送信できます。

POST /run/sam-3/3d-objects?wait=20 見積もり → $0.02
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sam-3/3d-objects?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Sam 3 · 3D Objectsについて

写真内のオブジェクトを3Dアセットに変換します。`mask_urls`、テキスト `prompt`、`point_prompts`、`box_prompts` でオブジェクトを選択できます。複数のボックスを指定すると、個別のオブジェクトになります。`detection_threshold` は 0.1 から 1 を受け付け、`export_textured_glb` を使うとテクスチャと UV がベイクされます。GLB、Gaussian splat ファイル、複数オブジェクトシーン用のオブジェクト別ファイル、メタデータ、zip バンドルを出力します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
image_url必須 image
型url · image
3D再構成用の画像URL。
mask_urls任意
型url[] · image
オブジェクトごとの任意のマスクURLリスト。マスクがない場合、プロンプト、point_prompts、またはbox_promptsが指定されていれば自動セグメンテーションで使用されます。マスクもセグメンテーションプロンプトも指定されない場合は画像全体が使用されます。
prompt任意
型string | null
デフォルトcar
マスクがない場合に自動セグメンテーションで使用するテキスト。'chair' や 'lamp' など。
point_prompts任意
型object[]
デフォルト[]
マスクがない場合に自動セグメンテーションで使用するポイントベースのプロンプト。
point_prompts[].x任意
型integer | null
X軸上のプロンプト位置。
point_prompts[].y任意
型integer | null
Y軸上のプロンプト位置。
point_prompts[].label任意
型enum
01
前景または背景のラベル。1は前景、0は背景を示します。
point_prompts[].object_id任意
型integer | null
単一オブジェクトを改良するプロンプトをグループ化する任意の識別子。テキストもプロンプトとして指定した場合、この識別子により、点が改良する検出オブジェクトを決定します。
box_prompts任意
型object[]
デフォルト[]
自動セグメンテーションによる3D再構成で個別のオブジェクトマスクを生成するボックスプロンプト。マスクが指定されていない場合のみ使用されます。複数のボックスを送信できます。
box_prompts[].x_min任意
型integer | null
ボックスの最小 x 座標。
box_prompts[].y_min任意
型integer | null
ボックスの最小 y 座標。
box_prompts[].x_max任意
型integer | null
ボックスの最大X座標。
box_prompts[].y_max任意
型integer | null
ボックスの最大Y座標。
box_prompts[].object_id任意
型integer | null
単一オブジェクトを改良するボックスをグループ化する任意の識別子。
seed任意
型integer | null
再現可能なランダム生成に使用するシード。
pointmap_url任意
型string | null
NPYまたはNPZ形式の外部pointmapまたは深度データを指定して、3D再構成の深度推定を改善する任意のURL。
detection_threshold任意
型number | null
0.1 – 1
省略時はモデルのデフォルトが使用される検出信頼度しきい値。値の範囲は0.1~1.0で、値を下げると精度と引き換えに検出数が増えます。
export_textured_glb任意
型boolean
デフォルトfalse
GLBエクスポートの選択。このオプションを有効にすると、頂点カラーがベイク済みテクスチャとUVに置き換えられます。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "sam-3/3d-objects",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 20,
    "usd": "0.02",
    "charged": 20,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "gaussian_splat": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "metadata": [
      {
        "object_index": 1,
        "scale": [
          []
        ],
        "rotation": [
          []
        ],
        "translation": [
          []
        ],
        "camera_pose": [
          []
        ]
      }
    ],
    "individual_splats": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ],
    "individual_glbs": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ],
    "artifacts_zip": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
gaussian_splat
object {url, content_type, file_name, file_size}複数オブジェクトの結果では結合シーンのスプラット、それ以外では単一のスプラット。`.ply`形式のGaussian splatファイルとして提供されます。
model_glb
object {url, content_type, file_name, file_size}GLBとして保存された3D出力。複数オブジェクトは1つのシーンに組み立てられ、それ以外の結果には1つのメッシュが含まれます。
metadata
array of object {object_index, scale, rotation, translation, camera_pose}回転、移動、スケールを含む各オブジェクトのメタデータ。
individual_splats
array of object {url, content_type, file_name, file_size} | nullオブジェクトごとの個別Gaussian splatファイル。複数オブジェクトのシーンでのみ使用できます。
individual_glbs
array of object {url, content_type, file_name, file_size} | nullオブジェクトごとの個別GLBメッシュファイル。複数オブジェクトのシーンでのみ使用できます。
artifacts_zip
object {url, content_type, file_name, file_size} | nullすべての成果物とメタデータを含むZIPアーカイブ。

その他のモデル: 画像から3D

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/sam-3/3d-objects.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt